Package bitel.billing.server.admin.bean

# Class AddressHouse

java.lang.Object
bitel.billing.server.admin.bean.AddressHouse

public class AddressHouse extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressHouse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddressItem`
  `getAddressArea()`
  `AddressItem`
  `getAddressQuarter()`
  `AddressItem`
  `getAddressStreet()`
  `int`
  `getAmount()`
  `int`
  `getAreaId()`
  `Map<String,String>`
  `getAttributeMap()`
  `String`
  `getBoxIndex()`
  `int`
  `getCityId()`
  `String`
  `getComment()`
  `Date`
  `getDate()`
  `String`
  `getFrac()`
  `int`
  `getHouse()`
  `String`
  `getHouseFrac()`
  `int`
  `getId()`
  `int`
  `getQuarterId()`
  `int`
  `getStreetId()`
  `void`
  `setAddressArea(AddressItem addressArea)`
  `void`
  `setAddressQuarter(AddressItem addressQuarter)`
  `void`
  `setAddressStreet(AddressItem addressStreet)`
  `void`
  `setAmount(int amount)`
  `void`
  `setAreaId(int areaId)`
  `void`
  `setAttributeMap(Map<String,String> attributeMap)`
  `void`
  `setBoxIndex(String boxIndex)`
  `void`
  `setCityId(int cityId)`
  `void`
  `setComment(String comment)`
  `void`
  `setDate(Date date)`
  `void`
  `setFrac(String frac)`
  `void`
  `setHouse(int house)`
  `void`
  `setId(int id)`
  `void`
  `setQuarterId(int quarterId)`
  `void`
  `setStreetId(int streetId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressHouse

    public AddressHouse()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getAreaId

    public int getAreaId()

  - ### setAreaId

    public void setAreaId(int areaId)

  - ### getQuarterId

    public int getQuarterId()

  - ### setQuarterId

    public void setQuarterId(int quarterId)

  - ### getStreetId

    public int getStreetId()

  - ### setStreetId

    public void setStreetId(int streetId)

  - ### getHouse

    public int getHouse()

  - ### setHouse

    public void setHouse(int house)

  - ### getFrac

    public String getFrac()

  - ### setFrac

    public void setFrac(String frac)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getAddressArea

    public AddressItem getAddressArea()

  - ### setAddressArea

    public void setAddressArea(AddressItem addressArea)

  - ### getAddressQuarter

    public AddressItem getAddressQuarter()

  - ### setAddressQuarter

    public void setAddressQuarter(AddressItem addressQuarter)

  - ### getAddressStreet

    public AddressItem getAddressStreet()

  - ### setAddressStreet

    public void setAddressStreet(AddressItem addressStreet)

  - ### getAttributeMap

    public Map<String,String> getAttributeMap()

  - ### setAttributeMap

    public void setAttributeMap(Map<String,String> attributeMap)

  - ### getHouseFrac

    public String getHouseFrac()

  - ### getCityId

    public int getCityId()

  - ### setCityId

    public void setCityId(int cityId)

  - ### getBoxIndex

    public String getBoxIndex()

  - ### setBoxIndex

    public void setBoxIndex(String boxIndex)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getAmount

    public int getAmount()

  - ### setAmount

    public void setAmount(int amount)